=== src/Makefile ===
MAKE_PATH = ..
include $(MAKE_PATH)/Make.def

DIRS = magick test

include $(MAKE_PATH)/Make.rules
