=== src/magick/util/Makefile ===
include ../../../Make.def

JAVA_SRC_FILES =				\
			MagickCanvas.java	\
			MagickViewer.java

include ../../../Make.rules
