## jmagick 6.2.6-0

=== debian/changelog ===
jmagick (6.2.6-0-6) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Depend on default-jre-headless | java2-runtime-headless (Closes: #573381)

 -- Varun Hiremath <varun@debian.org>  Sat, 10 Apr 2010 17:29:09 -0400

jmagick (6.2.6-0-5) unstable; urgency=low

  [ Michael Koch ]
  * Fixed watch file to point to correct download location
    (Closes: #551207).
  * Adjusted debian/orig-tar.sh for new upstream layout.
  * Build-Depends on debhelper >= 7.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

  [ Varun Hiremath ]
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Sun, 24 Jan 2010 17:45:10 -0500

jmagick (6.2.6-0-4) unstable; urgency=medium

  * debian/control:
    + Use default-java-jdk in place of java-gcj-compat-dev.
  * debian/rules:
    + Switch JAVA_HOME location to /usr/lib/jvm/default-java.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 27 Apr 2008 17:53:03 +0530

jmagick (6.2.6-0-2) unstable; urgency=medium

  * debian/control:
    + Add Vcs-Browser and Vcs-Svn fields.
    + Use debian.org e-mail address for maintainers.
    + Use quilt for patches.
    + Standards Version is now 3.7.3 (no changes needed).
  * debian/rules:
    + Explicitly call gcc in order for the build system
      to find the C compiler and build libJMagick.so.
      (Closes: #477015)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Apr 2008 06:46:12 +0530

jmagick (6.2.6-0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Now binNMU safe (Closes: #437486).
    + The Debian Java maintainers adopt the package,
      taken over from Adam Heath (Closes: #429794).
    + Add Varun Hiremath and Kumar Appaiah as uploaders.
    + Add Homepage field.
    + Updated to use GCJ to build (Closes: #329104, #349564).
    + Move jmagick6-docs to doc section.
  * debian/rules:
    + Fully refactor to make it use cdbs.
  * debian/patches/01_fix_load_jnilib.patch
    + Ensure that the JNI interface is loaded.
  * debian/watch: Added.
  * debian/orig-tar.sh, debian/orig-tar.exclude:
    + Repackage scripts to remove unclean upstream tarball.
  * debian/README.Debian-source:
    + Explain why and how we are repackaging.
  * debian/copyright: Total rewrite.
  * debian/libjmagick6-java.examples:
    + Provide two test cases as examples.
  * debian/examples/Makefile:
    + To build and run the examples.
  * debian/README.Debian:
    + Directions on how to run the examples.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 16 Oct 2007 00:24:14 +0530

jmagick (6.2.4-1-1) unstable; urgency=low

  * New upstream version.
  * Add kaffe-dev to Build-Depends.  Closes: #329104.
  * No longer use find to clean the dirs.  Closes: #325411

 -- Adam Heath <doogie@brainfood.com>  Sun, 15 Jan 2006 23:30:17 -0600

jmagick (6.0.4-0-2) unstable; urgency=low

  * Fix problem when JMagick is not loaded thru the system classloader.

 -- Adam Heath <doogie@brainfood.com>  Wed, 17 Aug 2005 14:53:00 -0500

jmagick (6.0.4-0-1) unstable; urgency=low

  * Initial release.

 -- Adam Heath <doogie@brainfood.com>  Wed, 17 Aug 2005 14:27:52 -0500
