=== debian/control ===
Source: jmagick
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Kumar Appaiah <akumar@debian.org>, Michael Koch <konqueror@gmx.de>
Section: graphics
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), cdbs, default-jdk-builddep, libmagick9-dev, autotools-dev, chrpath
Homepage: http://www.yeo.id.au/jmagick/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jmagick
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jmagick

Package: libjmagick6-java
Architecture: all
Section: java
Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version}), default-jre-headless | java2-runtime-headless
Provides: jmagick
Description: A java interface to ImageMagick - java classes
 JMagick is an open source Java interface of ImageMagick.  It is
 implemented in the form of Java Native Interface (JNI) into the
 ImageMagick API.
 .
 JMagick does not attempt to make the ImageMagick API
 object-oriented. It is merely a thin interface layer into the
 ImageMagick API.
 .
 JMagick currently only implements a subset of ImageMagick APIs.
 Should you require unimplemented features in JMagick, please join the
 mailing list and make a request.

Package: jmagick6-docs
Section: doc
Architecture: all
Provides: jmagick-docs
Depends: ${misc:Depends}
Description: A java interface to ImageMagick - api documentation
 JMagick is an open source Java interface of ImageMagick.  It is
 implemented in the form of Java Native Interface (JNI) into the
 ImageMagick API.
 .
 JMagick does not attempt to make the ImageMagick API
 object-oriented. It is merely a thin interface layer into the
 ImageMagick API.
 .
 JMagick currently only implements a subset of ImageMagick APIs.
 Should you require unimplemented features in JMagick, please join the
 mailing list and make a request.
 .
 This package contains javadoc generated documentation.

Package: libjmagick6-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A java interface to ImageMagick - native library
 JMagick is an open source Java interface of ImageMagick.  It is
 implemented in the form of Java Native Interface (JNI) into the
 ImageMagick API.
 .
 JMagick does not attempt to make the ImageMagick API
 object-oriented. It is merely a thin interface layer into the
 ImageMagick API.
 .
 JMagick currently only implements a subset of ImageMagick APIs.
 Should you require unimplemented features in JMagick, please join the
 mailing list and make a request.
 .
 This package contains the native interface to ImageMagick.  It is
 loaded at runtime into the Java Virtual Machine (JVM).
