=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME	:= /usr/lib/jvm/default-java

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/makefile.mk

CC=gcc
DEB_CONFIGURE_SCRIPT_ENV += PATH=$(JAVA_HOME)/bin:$$PATH
DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/jni --with-java-home=$(JAVA_HOME)
DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = all
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
DEB_MAKE_CHECK_TARGET   =
DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_COMPRESS_EXCLUDE = .java

install/libjmagick6-java::
	mkdir -p $(DEB_DESTDIR)/usr/share/java
	install -m 644 -D ./lib/jmagick.jar $(DEB_DESTDIR)/usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
	dh_install --sourcedir=debian/tmp usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
	dh_link usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar usr/share/java/jmagick6.jar

install/libjmagick6-jni::
	chrpath -d ./lib/libJMagick.so
	install -m 644 -D ./lib/libJMagick.so ./debian/libjmagick6-jni/usr/lib/jni/libJMagick.so

install/jmagick6-docs::
	mkdir -p ./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api
	$(MAKE) javadoc DESTDIR=./debian/jmagick6-docs JAVADOC_DIR=./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api

clean::
	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
	rm -rf autom4te.cache

.PHONY: get-orig-source
get-orig-source:
	uscan --upstream-version 0
