=== debian/watch ===
version=3
#http://downloads.jmagick.org/ ([\d\.]*)/ debian debian/orig-tar.sh
http://downloads.jmagick.org/([\d\.]*)/ jmagick-([\d\.]*)-src\.tar\.gz debian debian/orig-tar.sh
