## jmagick 6.6.9~20130201~svn99

=== debian/changelog ===
jmagick (6.6.9~20130201~svn99-4) UNRELEASED; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Fri, 27 May 2022 15:33:09 +0800

jmagick (6.6.9~20130201~svn99-4) unstable; urgency=medium

  * update version

 -- wangxiangyu <wangxiangyu@uniontech.com>  Fri, 27 May 2022 15:31:43 +0200

jmagick (6.6.9~20130201-svn99-4) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Apply patch for missing getByteArrayFieldValue prototype.
    - Thanks to Adam Conrad for the patch. (Closes: #727776)

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 10 (Closes: #897456)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 10
  * Removed the build dependency on autotools-dev
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 May 2018 11:50:43 +0200

jmagick (6.6.9~20130201-svn99-3) unstable; urgency=medium

  * Team upload.
  * Moved the package to Git
  * Removed build-dependency on hardening-wrapper. (Closes: #836630)
  * Standards-Version updated to 3.9.8

 -- tony mancill <tmancill@debian.org>  Sun, 04 Sep 2016 21:13:53 -0700

jmagick (6.6.9~20130201-svn99-2) unstable; urgency=medium

  * Team upload
  * Standards-Version updated to 3.9.5
  * Use pkg-config for the imagemagick transition.
    Thanks to Bastien Roucaries (Closes: #747856)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 May 2014 13:32:28 +0200

jmagick (6.6.9~20130201-svn99-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #714509)
    - Refreshed the patch and added a description
    - Fetch the upstream sources from SVN
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Removed Michael Koch from the uploaders (Closes: #654036)
    - Updated Standards-Version to 3.9.4 (no changes)
    - Updated the URL of the homepage
    - Build depend on debhelper >= 9
  * debian/copyright: Refer to the GPL-2 in /usr/share/common-licenses
  * Use XZ compression for the upstream tarball
  * debian/rules:
    - Install the upstream changelog
    - Generate Java 6 compatible bytecode
    - Include the debug information in the compiled classes
    - Enabled hardening for libJMagick.so
    - Install the Maven artifacts in /usr/share/maven-repo
    - Added the get-orig-pom target to download the pom from Maven central
  * Renamed debian/README.Debian-source to README.source
  * Moved the examples to the documentation package
  * Registered the documentation with doc-base
  * debian/watch: Watch the branches in the SVN repository

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Oct 2013 08:46:56 +0200

jmagick (6.2.6-0-8) unstable; urgency=low

  [ Niels Thykier ]
  * Team upload.
  * Reduced B-D on default-jdk-builddep to default-jdk.
  * Removed unneeded dependency on JREs for a java library.
  * Bumped Standards-Version to 3.9.1 - no changes required.

  [ Kumar Appaiah ]
  * Remove myself from Uploaders.

  [ Vincent Fourmond ]
  * Adapt build-depends to newer imagemagick (closes: #625595)
  * Packages now also conforms to standards 3.9.2
  * Remove articles at the beginning of the short description

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 06 Jun 2011 11:12:36 +0200

jmagick (6.2.6-0-7) unstable; urgency=low

  * Change maintainers into Maintainers.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 21:46:53 +0200
