=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,14 @@
 DEB_MAKE_CHECK_TARGET   =
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DEB_COMPRESS_EXCLUDE = .java
+DEB_INSTALL_CHANGELOGS_ALL := Changelog.txt
+DEB_AUTO_UPDATE_AUTOCONF := yes
+VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^~-]+).*,\1,p')
+
+export JFLAGS = --release 7 -g
 
 install/libjmagick6-java::
-	mkdir -p $(DEB_DESTDIR)/usr/share/java
-	install -m 644 -D ./lib/jmagick.jar $(DEB_DESTDIR)/usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
-	dh_install --sourcedir=debian/tmp usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
-	dh_link usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar usr/share/java/jmagick6.jar
+	mh_install
 
 install/libjmagick6-jni::
 	chrpath -d ./lib/libJMagick.so
@@ -31,9 +33,11 @@
 	$(MAKE) javadoc DESTDIR=./debian/jmagick6-docs JAVADOC_DIR=./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api
 
 clean::
-	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
-	rm -rf autom4te.cache
+	if [ -e Make.def ]; then rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs; rm -rf autom4te.cache; rm -rf lib/*.jar; mh_clean; fi
+#	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
+#	rm -rf autom4te.cache
+#	rm -rf lib/*.jar
+#	mh_clean
 
-.PHONY: get-orig-source
-get-orig-source:
-	uscan --upstream-version 0
+get-orig-pom:
+	wget http://central.maven.org/maven2/jmagick/jmagick/$(VERSION)/jmagick-$(VERSION).pom -O debian/pom.xml
