## jmagick 6.6.9~20130201

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 include $(MAKE_PATH)/Make.def
 
 DIRS = src
-JAR_FILE = $(LIB_DIR)/jmagick.jar
+JAR_FILE = $(LIB_DIR)/jmagick-$(MAJOR).$(MINOR).$(MICRO).jar
 CLEAN_LIST = $(JAR_FILE)
 
 all: dir default-target
@@ -45,5 +45,14 @@
 	$(INSTALL) -d $(DESTDIR)$(libdir)
 	$(INSTALL) $(JAR_FILE) $(DESTDIR)$(libdir)
 
-test:
-	cd src/test; make test
+simpletest::
+	cd test/magicktest; make simpletest
+
+test::
+	cd test/magicktest; CLASSPATH=../../lib/junit.jar make test
+
+looptest::
+	cd test/magicktest; CLASSPATH=../../lib/junit.jar make looptest
+
+generateCorrect::
+	cd test/magicktest; CLASSPATH=../../lib/junit.jar make generateCorrect
