=== src/magick/Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 			PrimitiveType.java	\
 			RenderingIntent.java	\
 			ResolutionType.java	\
-			XState.java		\
 			MagickProducer.java	\
 			MagickLoader.java	\
 			MagickInfo.java
