=== src/magick/util/Makefile ===
include ../../../Make.def

JAVA_SRC_FILES =				\
			DisplayImageMetaData.java	\
			MagickCanvas.java	\
			MagickViewer.java	\
			MagickWindow.java

include ../../../Make.rules
