## jmagick 6.6.9~20130201-svn99

=== debian/changelog ===
jmagick (6.6.9~20130201-svn99-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:26:53 +0000

jmagick (6.6.9~20130201-svn99-5build1) noble; urgency=high

  * No change rebuild against libmagickcore-6.q16-7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:35:30 +0100

jmagick (6.6.9~20130201-svn99-5) unstable; urgency=medium

  * Team upload
  * d/rules: use java_compat_level variable provided by java-common to
    set Java release level (Closes: #1057510).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 25 Jan 2024 14:50:47 +1300
