=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: jmagick
-Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>, Kumar Appaiah <akumar@debian.org>, Michael Koch <konqueror@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Varun Hiremath <varun@debian.org>
 Section: graphics
 Priority: optional
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), cdbs, default-jdk-builddep, libmagick9-dev, autotools-dev, chrpath
-Homepage: http://www.yeo.id.au/jmagick/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jmagick
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jmagick
+Standards-Version: 4.1.4
+Build-Depends: cdbs,
+               chrpath,
+               debhelper (>= 10),
+               default-jdk,
+               libmagickcore-dev,
+               maven-repo-helper,
+	       autoconf
+Vcs-Git: https://salsa.debian.org/java-team/jmagick.git
+Vcs-Browser: https://salsa.debian.org/java-team/jmagick
+Homepage: http://sourceforge.net/projects/jmagick/
 
 Package: libjmagick6-java
 Architecture: all
 Section: java
-Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version}), default-jre-headless | java2-runtime-headless
+Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version})
 Provides: jmagick
-Description: A java interface to ImageMagick - java classes
+Description: Java interface to ImageMagick
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
  ImageMagick API.
@@ -32,7 +39,7 @@
 Architecture: all
 Provides: jmagick-docs
 Depends: ${misc:Depends}
-Description: A java interface to ImageMagick - api documentation
+Description: Java interface to ImageMagick (documentation)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
  ImageMagick API.
@@ -50,7 +57,7 @@
 Package: libjmagick6-jni
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A java interface to ImageMagick - native library
+Description: Java interface to ImageMagick (native library)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
  ImageMagick API.
