=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/makefile.mk
+include /usr/share/java/java_defaults.mk
 
 CC=gcc
 DEB_CONFIGURE_SCRIPT_ENV += PATH=$(JAVA_HOME)/bin:$$PATH
@@ -19,7 +20,7 @@
 DEB_AUTO_UPDATE_AUTOCONF := yes
 VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^~-]+).*,\1,p')
 
-export JFLAGS = --release 7 -g
+export JFLAGS = --release $(java_compat_level) -g
 
 install/libjmagick6-java::
 	mh_install
@@ -33,11 +34,10 @@
 	$(MAKE) javadoc DESTDIR=./debian/jmagick6-docs JAVADOC_DIR=./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api
 
 clean::
-	if [ -e Make.def ]; then rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs; rm -rf autom4te.cache; rm -rf lib/*.jar; mh_clean; fi
-#	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
-#	rm -rf autom4te.cache
-#	rm -rf lib/*.jar
-#	mh_clean
+	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
+	rm -rf autom4te.cache
+	rm -rf lib/*.jar
+	mh_clean
 
 get-orig-pom:
 	wget http://central.maven.org/maven2/jmagick/jmagick/$(VERSION)/jmagick-$(VERSION).pom -O debian/pom.xml
