=== debian/changelog ===
jmagick (6.7.8-5) unstable; urgency=medium

  * Team upload
  * Really exporting the relevant CFLAGS to build against ImageMagick 7
    (Closes: #1079343, #1086216)

 -- Pierre Gruet <pgt@debian.org>  Sat, 02 Nov 2024 21:58:16 +0100

jmagick (6.7.8-4) unstable; urgency=medium

  * Team upload
  * Using --no-parallel for the build rule as relationships between targets are
    not parallel-proof

 -- Pierre Gruet <pgt@debian.org>  Sun, 06 Oct 2024 22:09:49 +0200

jmagick (6.7.8-3) unstable; urgency=medium

  * Team upload
  * Adding Breaks+Replaces for the -jni package, which contains files that
    libjmagick6-jni also installs (Closes: #1083021)

 -- Pierre Gruet <pgt@debian.org>  Mon, 30 Sep 2024 22:44:09 +0200

jmagick (6.7.8-2) unstable; urgency=medium

  * Team upload
  * Adding Breaks+Replaces for the -java package, which contains files that
    libjmagick6-java also installs
  * Raising Standards version to 4.7.0:
    - Rules-Requires-Root: no
  * Marking the docs package as Multi-Arch: foreign
  * Removing obsolete d/README.source file
  * Setting Section of the -jni package to java
  * s/jmagick6/jmagick7/ in files in the debian/ directory

 -- Pierre Gruet <pgt@debian.org>  Sun, 29 Sep 2024 12:27:25 +0200

jmagick (6.7.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Refresh patches
  * Update copyright
  * Modernize rules
  * Export MAGICK_VERSION
  * Fix for imagemagick6
  * Add CFLAGS to some compilation path
  * Updating BD
  * Change homepage
  * Adding clean rule
  * Push IM7 flags
  * Do not consider auto test fatal
  * Fixing d/watch

  [ Pierre Gruet ]
  * Putting the Debian-packaged junit4 jar in the test classpath
  * Putting the shared lib in the jni package and adding a symlink from the
    canonical jni directory
  * Using maven-repo-helper in d/rules
  * Filling in d/not-installed to skip the .la and the .jar files in /usr/lib/
  * Adding autopkgtest
  * Updating d/copyright

 -- Bastien Roucariès <rouca@debian.org>  Fri, 27 Sep 2024 06:41:23 +0200
