=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: jmagick
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Section: graphics
 Priority: optional
-Standards-Version: 4.1.4
-Build-Depends: cdbs,
-               chrpath,
-               debhelper (>= 10),
+Standards-Version: 4.7.0
+Build-Depends: chrpath,
+               debhelper-compat (= 13),
                default-jdk,
                libmagickcore-dev,
                maven-repo-helper,
-	       autoconf
+               javahelper,
+               libmagickwand-dev,
+               junit4 <!nocheck>,
+               imagemagick <!nocheck>
 Vcs-Git: https://salsa.debian.org/java-team/jmagick.git
 Vcs-Browser: https://salsa.debian.org/java-team/jmagick
-Homepage: http://sourceforge.net/projects/jmagick/
+Homepage: https://github.com/techblue/jmagick
+Rules-Requires-Root: no
 
-Package: libjmagick6-java
+Package: libjmagick7-java
 Architecture: all
 Section: java
-Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version})
+Depends: ${misc:Depends}, libjmagick7-jni (>= ${source:Version})
 Provides: jmagick
+Breaks: libjmagick6-java (<< 6.7.8)
+Replaces: libjmagick6-java (<< 6.7.8)
 Description: Java interface to ImageMagick
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
@@ -34,11 +38,12 @@
  Should you require unimplemented features in JMagick, please join the
  mailing list and make a request.
 
-Package: jmagick6-docs
+Package: jmagick7-docs
 Section: doc
 Architecture: all
 Provides: jmagick-docs
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Java interface to ImageMagick (documentation)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
@@ -54,9 +59,12 @@
  .
  This package contains javadoc generated documentation.
 
-Package: libjmagick6-jni
+Package: libjmagick7-jni
+Section: java
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libjmagick6-jni (<< 6.7.8)
+Replaces: libjmagick6-jni (<< 6.7.8)
 Description: Java interface to ImageMagick (native library)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
