=== debian/tests/control ===
Tests: jmagickExample
Depends: libjmagick7-java, default-jdk
