=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
  https://api.github.com/repos/techblue/jmagick/git/matching-refs/tags/ \
  https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

#opts=\
#downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/.*%$1/tarball/b4412afd5303aa6aa389b66ccea4bef2eabf0aca%g,\
#oversionmangle=s/.*/6.7.7+git20231123+b4412/g,\
#filenamemangle=s%.*%6.7.7+git20231123+b4412.tar.gz%,\
#searchmode=plain \
#   https://api.github.com/repos/techblue/jmagick/git/matching-refs/tags/ \
#   https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
#opts="mode=git, pgpmode=none, pretty=6.7.7+git%cd.%h" \
#  https://github.com/techblue/jmagick \
#  HEAD
